## NAME

v.net.bridge - Computes bridges and articulation points in the network.

## KEYWORDS

vector, network, articulation points

## SYNOPSIS

v.net.bridge
v.net.bridge --help
v.net.bridge input=name output=name [arc_layer=string] [node_layer=string] [arc_column=name] [arc_backward_column=name] [node_column=string] method=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

input=name [required]
  Name of input vector map
  Or data source for direct OGR access
output=name [required]
  Name for output vector map
arc_layer=string
  Arc layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 1
node_layer=string
  Node layer
  Vector features can have category values in different layers. This number determines which layer to use. When used with direct OGR access this is the layer name.
  Default: 2
arc_column=name
  Arc forward/both direction(s) cost column (number)
arc_backward_column=name
  Arc backward direction cost column (number)
node_column=string
  Node cost column (number)
method=string [required]
  Feature type
  Options: bridge, articulation
  bridge: Finds bridges
  articulation: Finds articulation points

## DESCRIPTION

v.net.bridge finds bridges and articulation points in a network.

## NOTES

Bridge in a network is an edge/line whose removal would disconnect the (sub-)network. A node is an articulation point if its removal would disconnect the (sub-)network. For more information and formal definitions check the wikipedia entries: bridge and articulation point.

The output of the module contains the selected features. For method=bridge, lines corresponding to bridges are copied from the input map to the output map. On the other hand, for method=articulation, points are created on the positions of articulation points.

In GRASS GIS, line is not always a single line segment. It might be, and often is, a sequence of line segments between two intersections. Also, articulation point is a standard graph theoretic terminology which is slightly misleading in GRASS. An articulation point in graph theory is an articulation node in GRASS terminology.

## EXAMPLES

    	TBD

## SEE ALSO

v.net, v.category,

## AUTHORS

Daniel Bundala, Google Summer of Code 2009, Student
Wolf Bergenheim, Mentor

## SOURCE CODE

Available at: v.net.bridge source code (history)

Accessed: unknown

Main index | Vector index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 7.8.7 Reference Manual